## org.codehaus.groovy.grails.orm.hibernate.cfg
Class Mapping

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.Mapping

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class Mapping

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`Mapping()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`boolean` `getAutoImport()`
`boolean` `getAutoTimestamp()`
`Integer` `getBatchSize()`
`CacheConfig` `getCache()`
`Map` `getColumns()`
`String` `getDiscriminator()`
`ColumnConfig` `getDiscriminatorColumn()`
`Map` `getDiscriminatorMap()`
`boolean` `getDynamicInsert()`
`boolean` `getDynamicUpdate()`
`Object` `getIdentity()`
`groovy.lang.MetaClass` `getMetaClass()`
`String` `getOrder()`
`Object` `getProperty(String property)`
`PropertyConfig` `getPropertyConfig(String name)`
`String` `getSort()`
`Table` `getTable()`
`String` `getTableName()`
`boolean` `getTablePerHierarchy()`
`String` `getTypeName(Class theClass)`
`Map` `getUserTypes()`
`String` `getVersionColumn()`
`boolean` `getVersioned()`
`Object` `invokeMethod(String method, Object arguments)`
`boolean` `isAutoImport()`
`boolean` `isAutoTimestamp()`
`boolean` `isDynamicInsert()`
`boolean` `isDynamicUpdate()`
`boolean` `isTablePerHierarchy()`
`boolean` `isVersioned()`
`void` `setAutoImport(boolean value)`
`void` `setAutoTimestamp(boolean value)`
`void` `setBatchSize(Integer value)`
`void` `setCache(CacheConfig value)`
`void` `setColumns(Map value)`
`void` `setDiscriminator(String value)`
`void` `setDiscriminatorColumn(ColumnConfig value)`
`void` `setDiscriminatorMap(Map value)`
`void` `setDynamicInsert(boolean value)`
`void` `setDynamicUpdate(boolean value)`
`void` `setIdentity(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setOrder(String value)`
`void` `setProperty(String property, Object value)`
`void` `setSort(String value)`
`void` `setTable(Table value)`
`void` `setTableName(String name)`
`void` `setTablePerHierarchy(boolean value)`
`void` `setUserTypes(Map value)`
`void` `setVersionColumn(String value)`
`void` `setVersioned(boolean value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mapping

    public Mapping()

Method Detail

### getUserTypes

    public Map getUserTypes()

### setUserTypes

    public void setUserTypes(Map value)

### getTable

    public Table getTable()

### setTable

    public void setTable(Table value)

### getVersioned

    public boolean getVersioned()

### isVersioned

    public boolean isVersioned()

### setVersioned

    public void setVersioned(boolean value)

### getTablePerHierarchy

    public boolean getTablePerHierarchy()

### isTablePerHierarchy

    public boolean isTablePerHierarchy()

### setTablePerHierarchy

    public void setTablePerHierarchy(boolean value)

### getAutoTimestamp

    public boolean getAutoTimestamp()

### isAutoTimestamp

    public boolean isAutoTimestamp()

### setAutoTimestamp

    public void setAutoTimestamp(boolean value)

### getAutoImport

    public boolean getAutoImport()

### isAutoImport

    public boolean isAutoImport()

### setAutoImport

    public void setAutoImport(boolean value)

### getColumns

    public Map getColumns()

### setColumns

    public void setColumns(Map value)

### getIdentity

    public Object getIdentity()

### setIdentity

    public void setIdentity(Object value)

### getCache

    public CacheConfig getCache()

### setCache

    public void setCache(CacheConfig value)

### getSort

    public String getSort()

### setSort

    public void setSort(String value)

### getOrder

    public String getOrder()

### setOrder

    public void setOrder(String value)

### getDiscriminator

    public String getDiscriminator()

### setDiscriminator

    public void setDiscriminator(String value)

### getDiscriminatorMap

    public Map getDiscriminatorMap()

### setDiscriminatorMap

    public void setDiscriminatorMap(Map value)

### getDiscriminatorColumn

    public ColumnConfig getDiscriminatorColumn()

### setDiscriminatorColumn

    public void setDiscriminatorColumn(ColumnConfig value)

### getVersionColumn

    public String getVersionColumn()

### setVersionColumn

    public void setVersionColumn(String value)

### getBatchSize

    public Integer getBatchSize()

### setBatchSize

    public void setBatchSize(Integer value)

### getDynamicUpdate

    public boolean getDynamicUpdate()

### isDynamicUpdate

    public boolean isDynamicUpdate()

### setDynamicUpdate

    public void setDynamicUpdate(boolean value)

### getDynamicInsert

    public boolean getDynamicInsert()

### isDynamicInsert

    public boolean isDynamicInsert()

### setDynamicInsert

    public void setDynamicInsert(boolean value)

### getTypeName

    public String getTypeName(Class theClass)

### getTableName

    public String getTableName()

### setTableName

    public void setTableName(String name)

### getPropertyConfig

    public PropertyConfig getPropertyConfig(String name)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project